{cat('######### Check that posterior for "pre" matches prior when no data given #########'); T;}
{
  apre = 2;  rpre = 10;

  lrfRun(ItnMax = 10000000, ItnBrn = 10000, 
    JmpMax = 100, frac = 0.01,    
    SavMax = 3e3, 
    PriPar  = list(apre = apre, rpre = rpre, 
                   dist = 2,
                   agam = 4,   
                   rgam = 0.2),
    OutFile="test",
    dX = c(2, 3, 1), printStats = F);

  lrfmcmc <- getMcmc( McmcFile="test", coda.loc = "/home/gfs02/dbw59/rlibs" )

  pval <- ks.gof(lrfmcmc[,2], dist = "gamma", shape = apre, rate = rpre)$p.value 

  pval > 0.01
}

